<template>
  <ion-page>
    <page-top-bar
      :title="`${t('about_us_page.about_us', {}, { locale: $store.state.appLang })}`"
      :needBackButton="true"
    />
    <ion-content class="flex space-y-6">
      <div class="flex space-x-6 mt-6 justify-center items-center">
        <img :src="logoOrizon" alt="Orizon logo" class="h-24" />
        <ion-text color="primary" class="text-4xl">
          {{ $appName }}
        </ion-text>
      </div>
      <ion-text class="flex justify-center text-2xl font-bold">
        {{ t("about_us_page.meet_the_team", {}, { locale: $store.state.appLang }) }}
      </ion-text>
      <div class="flex justify-center items-center space-x-16">
        <a href="https://www.linkedin.com/in/hugo-lunel-590992174/">
          <img :src="profilePictureHugo" alt="Profile picture Hugo" />
        </a>
        <a href="https://www.linkedin.com/in/arno-prenveille-b40912153/">
          <img :src="profilePictureArno" alt="Profile picture Arno" />
        </a>
      </div>
      <div class="flex justify-center items-center space-x-16">
        <ion-text>Hugo Lunel</ion-text>
        <ion-text>Arno Prenveille</ion-text>
      </div>
      <ion-text class="flex justify-center ml-6 mr-6 text-justify">
        {{ t("about_us_page.description_part1", {}, { locale: $store.state.appLang }) }}
      </ion-text>
      <ion-text class="flex justify-center ml-6 mr-6 text-justify">
        {{ t("about_us_page.description_part2", {}, { locale: $store.state.appLang }) }}
      </ion-text>
    </ion-content>
  </ion-page>
</template>

<script>
import { defineComponent } from "vue";
import { IonContent, IonPage, IonText } from "@ionic/vue";
import { useI18n } from "vue-i18n";
import PageTopBar from "../components/PageTopBar.vue";
import logoOrizon from "../assets/logos/orizon-logo.svg";
import profilePictureHugo from "../assets/images/profile-picture-hugo.svg";
import profilePictureArno from "../assets/images/profile-picture-arno.svg";

export default defineComponent({
  components: {
    PageTopBar,
    IonContent,
    IonPage,
    IonText,
  },
  setup() {
    const { t, locale } = useI18n();
    return {
      t,
      locale,
      logoOrizon,
      profilePictureHugo,
      profilePictureArno,
    };
  },
});
</script>

